> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Template

> Delete an existing template



## OpenAPI

````yaml delete /template
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /template:
    delete:
      tags:
        - Template
      summary: Delete Template
      description: Delete an existing template
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Template ID
          schema:
            type: string
          required: true
        - name: created_at
          in: query
          description: Template creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of template
          schema:
            type: string
        - name: subject
          in: query
          description: Subject of template
          schema:
            type: string
        - name: content
          in: query
          description: Content of template
          schema:
            type: string
        - name: text
          in: query
          description: Text representation of the template content
          schema:
            type: string
        - name: request_approvals
          in: query
          description: Request approvals of template
          schema:
            type: string
        - name: language
          in: query
          description: Language of template
          schema:
            type: string
        - name: key
          in: query
          description: Template key
          schema:
            type: string
        - name: footer
          in: query
          description: Footer of template
          schema:
            type: string
        - name: type
          in: query
          description: Type of template
          schema:
            type: string
        - name: buttons
          in: query
          description: Buttons of template
          schema:
            type: string
        - name: header_media_filename
          in: query
          description: Header media filename of template
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/template'
          description: The updated Template object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    template:
      type: object
      properties:
        id:
          type: string
          description: Template ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Template creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of template
          format: text
        subject:
          type: string
          description: Subject of template
          format: text
          nullable: true
        content:
          type: object
          description: Content of template
          format: jsonb
          nullable: true
        text:
          type: string
          description: Text representation of the template content
          format: text
          nullable: true
        request_approvals:
          type: boolean
          description: Request approvals of template
          format: boolean
          nullable: true
        language:
          maxLength: 2
          type: string
          description: Language of template
          format: character varying
        key:
          type: string
          description: Template key
          format: text
        footer:
          type: string
          description: Footer of template
          format: text
          nullable: true
        type:
          type: string
          description: Type of template
          format: public.template_type
          enum:
            - review_request
            - auto_responder
            - opt_in_request
            - transactional
            - marketing
            - opt_out_confirmation
            - double_opt_in_confirmation
        buttons:
          type: object
          description: Buttons of template
          format: jsonb
          nullable: true
        header_media_filename:
          type: string
          description: Header media filename of template
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````